gda-config-tool-3.0(1)

NAME
gda-config-tool-3.0 - Tool for managing libgda configuration file.

SYNOPSIS

gda-config-tool-3.0 [OPTIONS]

DESCRIPTION
The gda-config-tool-3.0 program can be used create/edit/remove a libgda provider. It can be used both as a command line program and an interactive program.

OPTIONS

The following options are supported:

-?, --help
    Displays command line options.

--usage
    Display brief usage message.

--l, --list-providers
    Lists installed providers.

--L, --list-datasources
    Lists configured data sources.

--n, --name=NAME
    User-assigned name for the provider and connection settings.

--u, --user=NAME
    User name to pass to the provider when connecting.

--p, --password=NAME
    Password for the given user to pass to the DB backend.

--P, --provider=NAME
    Provider name.

--d, --DSN="NAME=VALUE;..."
    Semi-colon separated list of parameter=value option to pass to the provider.

ENVIRONMENT VARIABLES

NONE

FILES

$(sysconfdir)/libgda/config

    Global configurations settings read for every user.

${HOME}/.libgda/config

    User settings. Override global settings.

SEE ALSO
mergeant(1), gda-config-3.0(5)